Description

On a typical Katello installation Dynflow uses DB 6 and Pulp uses DB 8. Other applications may also use the default DB. Using DB 4

should not conflict.

This probably deserves a release note. We should also consider cleaning up the old DB. By default Redis is configured for

persistence so it should remain even after a restart. According to the internet using redis-cli -n 0 flushdb should do that. I don't think

it's something we want to do automatically. If users don't do this, they will expire eventually anyway and the cache is not that large.

Associated revisions

Revision 0a2b3100 - 08/07/2023 12:44 PM - Ewoud Kohl van Wijngaarden

Fixes #36645 - Change the default Redis cache DB to 4

On a typical Katello installation Dynflow uses DB 6 and Pulp uses DB 8.

Other applications may also use the default DB. Using DB 4 should not

conflict.

Fixes: dfa6a869710b ("Fixes #36037 - Manage Redis service for Redis cache")

History

#1 - 08/07/2023 12:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/1122 added

#2 - 08/07/2023 12:44 PM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#3 - 08/07/2023 01:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|0a2b3100dbac7c1003d261220329cdb3148003a4.

#4 - 09/11/2023 10:31 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
